#!/usr/bin/python
#author jeff

import sys
from math import pi

if len(sys.argv) < 2:
  print "usage: %s <moffile>" % sys.argv[0]
  exit()

mof = sys.argv[1]

print "//===== mof2sike Converter ====="
print "//converting %s" % mof
print ""

mofFile = open(mof, "r")

while True:
  line = mofFile.readline()
  if not line:
    break;

  line = line.strip()

  if line.startswith("\"") or \
     line.startswith("motion_id") or \
     line.startswith("label") or \
     line.startswith("transition") or \
     line.startswith("hardness"):
       continue

  line = line.replace("* ", "2000 ")
  line = line.replace("- ", "1000 ")

  tmpTokens = line.split(" ")

  tokens = []
  for i in tmpTokens:
    if len(i.replace(" ", "")) != 0:
      tokens.append(i[:])

  if len(tokens) == 0:
    continue

  #delete interpolation true/false token
  del tokens[22]

  #extract and delete interpolatin token
  interpolationTime = tokens[22]
  del tokens[22]

  assert(len(tokens) == 22)

  #convert to radiant
  for i in range(len(tokens)):
    if tokens[i] not in ["1000", "2000"]:
      tokens[i] = str(float(tokens[i]) * pi / 180)
  
  print " ".join(tokens)
  print interpolationTime
  print ""
  
