BASE_DIR = "../"
BUILD_DIR = BASE_DIR + "Build/"
CONFIG_DIR = BASE_DIR + "Config/"
MAKE_DIR = BASE_DIR + "Make/"
INSTALL_DIR = BASE_DIR + "Install/"

SCENES_DIR = CONFIG_DIR + "Scenes/"
KEYS_DIR = CONFIG_DIR + "Keys/"

FILES_DIR = INSTALL_DIR + "files/"

KEY = KEYS_DIR + "id_rsa_nao"

BUILD_FLAGS = "CXX=g++-4.3"

USER = "root"

MY_IP = "234"

def parse_ip_prefix type = "wlan"
  Dir.entries(FILES_DIR).each do |entry|
    if entry.match(/^interfaces_\w+/)
      return File.open(FILES_DIR + entry, "r").read.
          match(/iface #{type}0.*gateway *?(\d+.\d+.\d+.)\d+/m)[1]
    end
  end
end
WLAN_IP_PREFIX = parse_ip_prefix
ETH_IP_PREFIX = parse_ip_prefix "eth"

def parse_ips type = "wlan"
  ips = {}
  Dir.entries(FILES_DIR).each do |entry|
    robot_name = entry.match(/^interfaces_(\w+)/)
    if robot_name
      ips[File.open(FILES_DIR + entry, "r").read.match(/iface #{type}0.*?address *(\d+.\d+.\d+.\d+)/m)[1]] = robot_name[1]
    end
  end
  ips
end
IPS = parse_ips
CIPS = parse_ips "eth"
