/*
 * LogConverter.h
 *
 *  Created on: Jun 5, 2010
 *      Author: reich
 */

#ifndef LOGCONVERTER_H_
#define LOGCONVERTER_H_

#include <cstdlib>
#include "Tools/MessageQueue/MessageIDs.h"
#include "Tools/Streams/Streamable.h"
#include "Tools/MessageQueue/InMessage.h"
#include "Tools/MessageQueue/MessageQueue.h"
#include "Representations/Infrastructure/SensorData.h"

class LogConverter
{
private:
  MessageQueue messageQueue;

  bool isConvertRequiredSensorData(InMessage& message);
  Streamable* newConvertedSensorData(InMessage& message);
  std::size_t sizeofRepresentation(Streamable& streamable);

  std::size_t sizeofSensorDataRev5703;
public:
  LogConverter();
  virtual
  ~LogConverter();

  Streamable* newConvertedRepresentation(InMessage& message, const int representationId);
  bool isConvertRequired(InMessage& message, const int representationId);

};

#endif /* LOGCONVERTER_H_ */
