/**
* @file Platform/Semaphore.h
* Inclusion of platform dependend definitions for semaphore usage. 
* @author Colin Graf
*/

#ifndef SEMAPHORE_INCLUDED

#ifdef LINUX
#include "linux/Semaphore.h"
#define SEMAPHORE_INCLUDED
#endif

#ifdef _WIN32
#include "Win32/Semaphore.h"
#define SEMAPHORE_INCLUDED
#endif

#ifndef SEMAPHORE_INCLUDED
#error Unknown platform
#endif

#endif

