#ifndef __CameraCalibratorHandler_h_
#define __CameraCalibratorHandler_h_

#include "ImageViewAdapter.h"
#include "Tools/MessageQueue/MessageQueue.h"

class CameraCalibratorHandler : public PointListener {
private:
  RobotConsole* robotConsole;
public:
  CameraCalibratorHandler(RobotConsole* console) : robotConsole(console) {}

  void deliverPoint(const Vector2<int>& point);

  void setActive(std::string view);

  void setInactive(std::string view);
};

#endif // __CameraCalibratorHandler_h_
