/**
* @file ControllerQt/Platform/Joystick.h
* Inclusion of platform dependend joystick interface implementation.
* @author Colin Graf
*/

#ifndef Joystick_H

#ifdef _WIN32
#include "Win32/Joystick.h"
#endif

#ifdef LINUX
#include "Linux/Joystick.h"
#endif

#ifndef Joystick_H
#error "Unknown platform"
#endif

#endif //Joystick_H
