/**
* @file ControllerQt/Views/ViewBike/BikeMenuBar.h
*
* Declaration of class BikeMenuBar
*
* @author <a href="mailto:judy@tzi.de">Judith Mller</a>
*/

#ifndef BikeMenuBar_H
#define BikeMenuBar_H

#include <QMenuBar>
#include <QWidget>

class BikeMenuBar : public QMenuBar
{
public:
  BikeMenuBar(QWidget* parent);

  QAction* splitPhase;

  QAction* xy_plane;
  QAction* xz_plane;
  QAction* yz_plane;

  QMenu* phaseMenu;
  QMenu* dragPlaneMenu;

  QActionGroup* dragPlaneActionGroup;
private:

  void createActions();
  void createMenus();
};

#endif //BikeMenuBar_H
