#include "CameraInfo.h"

void CameraInfo::init(Settings::Model model)
{
  resolutionWidth  = cameraResolutionWidth;
  resolutionHeight = cameraResolutionHeight;
  
  openingAngleWidth = 0.78674f; // 45.08
  openingAngleHeight  = 0.60349f; // 34.58

  focalLength = 385.54f;
  opticalCenter.x = 160.0f; // unchecked
  opticalCenter.y = 120.0f; // unchecked

  calcAdditionalConstants();
}


